/* ОБЩАЯ ОБЁРТКА */
.opt-widget {
    position: fixed;
    z-index: 999999;
    bottom: 65px;
    left: 50px;
    display: none;
    font-family: inherit;
}

/* ПОПАП */
.opt-widget__popup {
    display: table;
    background: #ffffff;
    border-radius: 6px;
    box-shadow: 0 5px 40px rgba(0, 0, 0, 0.16);
    max-width: 700px;
    position: relative;
}

/* КАРТИНКА */
.opt-widget__image {
    display: table-cell;
    vertical-align: middle;
    padding: 15px;
}

.opt-widget__image img {
    height: 150px;
    display: block;
}

/* КОНТЕНТ */
.opt-widget__content {
    display: table-cell;
    vertical-align: middle;
    padding: 20px;
}

/* ЗАГОЛОВОК */
.opt-widget__title {
    color: #222222;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 16px;
    padding-right: 20px;
}

/* ОПИСАНИЕ */
.opt-widget__description {
    color: #444444;
    font-size: 15px;
    margin-bottom: 16px;
    line-height: 1.4;
}

/* КНОПКИ */
.opt-widget__buttons {
    display: flex;
    gap: 10px;
}

/* КНОПКА */
.opt-widget__btn {
    display: flex;
    flex: 1;

    background: #f3f3f5;
    color: #555;

    border-radius: 3px;

    font-size: 14px;
    line-height: 32px;
    text-decoration: none;
    font-weight: bold;

    padding: 0 20px;
    transition: all 0.2s ease;

    text-align: center;
    align-items: center;
    justify-content: center;
}

/* ВНУТРЕННОСТЬ КНОПКИ (иконка + текст) */
.opt-widget__btn-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

/* ИКОНКА */
.opt-widget__btn-inner img {
    width: 18px;
    height: 18px;
    display: block;
}

.opt-widget__btn:hover {
    background: #004b85;
    color: #f3f3f5;
}

/* КРЕСТИК */
.opt-widget__close {
    position: absolute;
    top: 14px;
    right: 12px;
    width: 25px;
    height: 25px;
    cursor: pointer;
}

.opt-widget__close::before,
.opt-widget__close::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 1px;
    background: #222;
}

.opt-widget__close::before {
    transform: rotate(45deg);
}

.opt-widget__close::after {
    transform: rotate(-45deg);
}

/* МОБИЛКА */
@media (max-width: 768px) {
    .opt-widget {
        top: 0;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
    }

    .opt-widget__background {
        position: fixed;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.5);
    }

    .opt-widget__popup {
        display: block;
        max-width: 90%;
        margin: 120px auto 0;
    }

    .opt-widget__image {
        display: none;
    }

    .opt-widget__buttons {
        flex-direction: column;
        align-items: center;
    }

    .opt-widget__btn {
        width: auto;
        min-width: 200px;
        max-width: 260px;
        text-align: center;
    }
}